<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml"
>
<head>
    <title>Spring Security Login </title>
</head>
<body>
<div th:if="${param.error}">
        Invalid username and password.
    </div>
<div th:if="${param.logout}">
        You have been logged out.
    </div>
<div>
        <a href="/login">Login</a>
    </div>
<form action="/register" method="post">
        <div><label> User Name : <input type="text" name="username"/> </label></div>
        <div><label> Password: <input type="password" name="password"/> </label></div>
        <div><input type="submit" value="Sign Up"/></div>
    </form>
</body>
</html>